Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## multivalent.std.ui
Class Annos

    java.lang.Object
      multivalent.VObject
          multivalent.Behavior
              multivalent.std.ui.Annos

public class Annos
extends Behavior

General annotation functionality: wipe annos from document, ...

Version:
  $Revision: 1.3 $ $Date: 2002/01/14 21:50:20 $

Field Summary
`protected static java.awt.Color[]` | `annoColors_`
`protected java.util.List<java.awt.Color>` | `availableColors_`
`static java.lang.String` | `CATEGORY_ZAP`
`static java.lang.String` | `MSG_WIPEALL` Wipes annotations from all pages of current document.
`static java.lang.String` | `MSG_WIPEPAGE` Wipes annotations from current page.

Fields inherited from class multivalent.Behavior
`ATTR_BEHAVIOR, name_`

Fields inherited from class multivalent.VObject
`attr_`

Constructor Summary
`Annos()`

Method Summary
`java.awt.Color` | `getAnnoColor()`
`java.awt.Color` | `getAnnoColor(java.awt.Color c)`
`void` | `restoreAnnoColor(java.awt.Color c)`
`boolean` | `semanticEventAfter(SemanticEvent se, java.lang.String msg)` Implements `MSG_WIPEPAGE` and `MSG_WIPEALL`.
`boolean` | `semanticEventBefore(SemanticEvent se, java.lang.String msg)` On VMenu.MSG_CREATE_ANNO, make a menu entries for wiping annotations from page and, if multipage, from all pages.

Methods inherited from class multivalent.Behavior
`buildAfter, buildBefore, checkRep, clipboardAfter, clipboardBefore, createUI, destroy, eventAfter, eventBefore, formatAfter, formatBefore, getBrowser, getDocument, getInstance, getInstance, getLayer, getLogger, getName, getPreference, getRoot, isEditable, paintAfter, paintBefore, putPreference, redo, restore, restoreChildren, save, setName, toString, undo`

Methods inherited from class multivalent.VObject
`attrEntrySetIterator, attrKeysIterator, clearAttributes, getAttr, getAttr, getAttributes, getGlobal, getValue, hasAttributes, putAttr, removeAttr, setAttributes`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### MSG_WIPEPAGE

    public static final java.lang.String MSG_WIPEPAGE

  Wipes annotations from current page. In a multipage document this is one page of many; in HTML, this is the entire document.

  `"wipeAnnos"`

  See Also:
    Constant Field Values

### MSG_WIPEALL

    public static final java.lang.String MSG_WIPEALL

  Wipes annotations from all pages of current document. In a multipage document this more than one page; in HTML, this the same as `MSG_WIPEPAGE`.

  `"wipeAnnos"`

  See Also:
    Constant Field Values

### CATEGORY_ZAP

    public static final java.lang.String CATEGORY_ZAP

See Also:
  Constant Field Values

### annoColors_

    protected static final java.awt.Color[] annoColors_

### availableColors_

    protected java.util.List<java.awt.Color> availableColors_

Constructor Detail

### Annos

    public Annos()

Method Detail

### getAnnoColor

    public java.awt.Color getAnnoColor(java.awt.Color c)

### getAnnoColor

    public java.awt.Color getAnnoColor()

### restoreAnnoColor

    public void restoreAnnoColor(java.awt.Color c)

### semanticEventBefore

    public boolean semanticEventBefore(SemanticEvent se,
                                       java.lang.String msg)

  On VMenu.MSG_CREATE_ANNO, make a menu entries for wiping annotations from page and, if multipage, from all pages.

  Overrides:
    `semanticEventBefore` in class `Behavior`

### semanticEventAfter

    public boolean semanticEventAfter(SemanticEvent se,
                                      java.lang.String msg)

  Implements `MSG_WIPEPAGE` and `MSG_WIPEALL`.

  Overrides:
    `semanticEventAfter` in class `Behavior`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Multivalent API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD